import { DmpStatus } from "../../common/enum/dmp-status";

export interface DmpListingModel {
	id: string;
	label: String;
	description: String;
	status: DmpStatus;
	grant: String;
	grantId: String;
	grantAbbreviation: String;
	profile: String;
	creationTime: String;
	modifiedTime: String;
	publishedAt: Date;
	finalizedAt: Date;
	organisations: String;
	groupId: string;
	version: number;
	datasets: any[];
	associatedProfiles: any[];
	users: any[];
	public: boolean;
}
