import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ExploreDatasetListingComponent } from './explore-dataset-listing.component';

const routes: Routes = [
	{
		path: '',
		component: ExploreDatasetListingComponent,
		data: {
			breadcrumb: true
		},
	}
];

@NgModule({
	imports: [RouterModule.forChild(routes)],
	exports: [RouterModule]
})
export class ExploreDatasetRoutingModule { }