package eu.eudat.logic.services.helpers;

import eu.eudat.models.data.files.ContentFile;
import org.springframework.core.io.Resource;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

/**
 * Created by ikalyvas on 3/15/2018.
 */
public interface FileStorageService {
    List<ContentFile> writeToTempFileSystem(MultipartFile[] multipartFiles) throws IOException;

    ContentFile copyFromTempFileSystem(ContentFile file) throws IOException;

    Resource readFromFilesystem(String filename, String type, String location) throws IOException;
}
