package eu.eudat.logic.services.utilities;

import eu.eudat.data.dao.entities.LoginConfirmationEmailDao;
import eu.eudat.data.entities.LoginConfirmationEmail;

import java.util.UUID;
import java.util.concurrent.CompletableFuture;

public interface ConfirmationEmailService {
	public void createConfirmationEmail(LoginConfirmationEmailDao loginConfirmationEmailDao, MailService mailService, String email, UUID userId);

	public CompletableFuture sentConfirmationEmail(LoginConfirmationEmail confirmationEmail, MailService mailService);
}