CREATE TABLE public."LoginConfirmationEmail"
(
    "ID" uuid NOT NULL,
    email character varying COLLATE pg_catalog."default" NOT NULL,
    "isConfirmed" boolean NOT NULL,
    token uuid NOT NULL,
    userId uuid NOT NULL,
    "expiresAt" timestamp(4) with time zone NOT NULL,
    CONSTRAINT "LoginConfirmationEmail_pkey" PRIMARY KEY ("ID")
)
WITH (
    OIDS = FALSE
)
TABLESPACE pg_default;

ALTER TABLE public."LoginConfirmationEmail"
    OWNER to dmtadm;