﻿import { Component, Input, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { DatasetProfileComboBoxType } from '../../../../../../../core/common/enum/dataset-profile-combo-box-type';
import { AutoCompleteFieldDataEditorModel } from '../../../../admin/field-data/auto-complete-field-data-editor-model';

@Component({
	selector: 'app-dataset-profile-editor-auto-complete-field-component',
	styleUrls: ['./dataset-profile-editor-auto-complete-field.component.scss'],
	templateUrl: './dataset-profile-editor-auto-complete-field.component.html'
})
export class DatasetProfileEditorAutoCompleteFieldComponent implements OnInit {

	@Input() form: FormGroup;
	private data: AutoCompleteFieldDataEditorModel = new AutoCompleteFieldDataEditorModel();

	ngOnInit() {
		this.data.type = DatasetProfileComboBoxType.Autocomplete;
	}
}
