import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { UserGuideContentComponent } from './user-guide-content/user-guide-content.component';
import { UserGuideDialogComponent } from './dialog/user-guide-dialog.component';


const routes: Routes = [
	{
		path: '',
		component: UserGuideDialogComponent,
	},
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class UserGuideRoutingModule { }
